Ryzehosting
  1. webspace
Ryzehosting
  • account
    • redeem voucher
      POST
    • save address
      POST
    • affiliate stats
      GET
    • transactions
      GET
    • get address
      GET
    • dashboard
      GET
    • balance
      GET
    • session
      GET
  • domain
    • whois privacy update
      POST
    • whois privacy get
      GET
    • contact update
      POST
    • nameservers
      POST
    • dns-records
      GET
    • contact get
      GET
    • dns update
      POST
    • authcode
      POST
    • pricelist
      GET
    • details
      GET
    • check
      POST
    • order
      POST
    • list
      GET
  • server
    • ipaddresses
    • password
    • hardware
    • reinstall
    • rrddata
    • cancel
    • status
    • prices
    • config
    • renew
    • power
    • hosts
    • order
    • vnc
    • list
    • ptr
    • os
  • webspace
    • packages
      GET
    • details
      GET
    • renew
      POST
    • status
      GET
    • order
      POST
    • list
      GET
  • ryzectrl
    • packages
    • details
    • renew
    • order
    • list
  • ticket
    • messages
    • message
    • details
    • create
    • open
    • close
    • list
  • tools
    • Create UUID
    • Iban Verify
    • Network
    • NoVNC
    • Whois
  • Schemas
    • Unauthorized
    • Success
  1. webspace

packages

GET
webspace/packages

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************

Responses

🟢200Success
application/json
Body

🟠401Unauthorized
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://dash.ryzehosting.com/api/v2/webspace/packages' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "response": "Successfully fetched webspace packages",
    "state": "success",
    "code": 200,
    "data": {
        "packages": [
            {
                "uuid": "019b1f00-82f3-8216-a831-5c365bebef6b",
                "id": 1,
                "type": "plesk",
                "price": 1,
                "name": "PLESK01",
                "description": "Beginner Webspace",
                "specifications": {
                    "disk_gb": 10,
                    "domains": 5,
                    "subdomains": -1,
                    "databases": -1,
                    "ftp_accounts": -1,
                    "emails": -1
                },
                "features": [],
                "plesk_id": "plesk01",
                "keyhelp_id": ""
            },
            {
                "uuid": "019b1f09-dba8-8f97-a004-b100b4888120",
                "id": 2,
                "type": "plesk",
                "price": 2.5,
                "name": "PLESK02",
                "description": "",
                "specifications": {
                    "disk_gb": 25,
                    "domains": 15,
                    "subdomains": -1,
                    "databases": -1,
                    "ftp_accounts": -1,
                    "emails": -1
                },
                "features": [],
                "plesk_id": "plesk02",
                "keyhelp_id": ""
            },
            {
                "uuid": "019b1f0a-2b52-81e9-b910-4fe8fa6c9ac9",
                "id": 3,
                "type": "plesk",
                "price": 5,
                "name": "PLESK03",
                "description": "",
                "specifications": {
                    "disk_gb": 50,
                    "domains": 50,
                    "subdomains": -1,
                    "databases": -1,
                    "ftp_accounts": -1,
                    "emails": -1
                },
                "features": [],
                "plesk_id": "plesk03",
                "keyhelp_id": ""
            }
        ],
        "total": 3
    }
}
Modified at 2025-12-30 03:58:24
Previous
os
Next
details
Built with